Loading...
Searching...
No Matches
aminoacid_scoring_scheme.hpp File Reference

Provides seqan3::aminoacid_scoring_scheme. More...

`#include <algorithm>`
`#include <seqan3/alignment/scoring/scoring_scheme_base.hpp>`
`#include <seqan3/alphabet/aminoacid/aa27.hpp>`
Include dependency graph for aminoacid_scoring_scheme.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::aminoacid_scoring_scheme< score_type >
| A data structure for managing and computing the score of two amino acids. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Enumerations

enum class | seqan3::aminoacid_similarity_matrix { seqan3::aminoacid_similarity_matrix::blosum30 , seqan3::aminoacid_similarity_matrix::blosum45 , seqan3::aminoacid_similarity_matrix::blosum62 , seqan3::aminoacid_similarity_matrix::blosum80 }
| Identifiers for amino acid similarity matrixes. More...

## Detailed Description

Provides seqan3::aminoacid_scoring_scheme.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me